---
updatedAt: 2024-11-21T17:36:37.000Z
agentTools:
  projectIndex: https://developer.truckstop.com/llms.txt
---

# Rate Crowdsourcing

Rate Crowdsource allows users to submit their rates to Truckstop.

<HTMLBlock>{`
<table>
  <tr>
    <th style="background:#10A54A;color:white">POST</th>
    <th style="background:#E7F6EC;color:black">
      /ratecrowdsourcing/v2/rates
    </th>
    <th style="background:#E7F6EC;color:black">
      Submit your rates through the API.
    </th>
  </tr>
  <tr><td colspan=3><hr/></td></tr>
	<tr>
		<td>Authorization</td>
		<td colspan=2>bearer token</td>
	</tr>   
	<tr>
		<td>Content Type</td>
		<td colspan=2>application/json</td>
	</tr>
  <tr>
		<td>Accept</td>
		<td colspan=2>application/json</td>
	</tr>
	<tr>
		<td>URL Params</td>
		<td colspan=2>None</td>
	</tr>
	<tr>
		<td>Body Params</td>
		<td colspan=2>JSON Object</td>
	</tr>
</table>
`}</HTMLBlock>

<br />

> 📘 Rate Crowdsourcing
>
> ```curl All Fields
> curl --location 'https://api.truckstop.com/ratecrowdsourcing/v2/rates' \
> --header 'Authorization: bearer <access token>' \
> --header 'Content-Type: application/json' \
> --header 'Accept: application/json' \
> --data '{
>     "RateEvents": [
>         {
>             "LoadNumber": "12345-ABCD",
>             "Workflow": "TenderedRate",
>             "PickupDateTime": "2023-03-09T22:41:38.110Z",
>             "DeliveryDateTime": "2023-03-12T21:41:38.110Z",
>             "BookedDateTime": "2023-03-05T22:41:38.110Z",
>             "ContractType": "Spot",
>             "Rate": {
>                 "CurrencyCode": "USD",
>                 "Amount": 2.33,
>                 "Type": "Flat"
>             },
>             "Fuel": {
>                 "CurrencyCode": "USD",
>                 "Amount": 565,
>                 "Type": "AllIn"
>             },
>             "Origin": {
>                 "City": "Seattle",
>                 "State": "WA",
>                 "PostalCode": "98101",
>                 "Latitude": 47.6551,
>                 "Longitude": -122.3048
>             },
>             "Destination": {
>                 "City": "Boise",
>                 "State": "ID",
>                 "PostalCode": "83709",
>                 "Latitude": 43.6150,
>                 "Longitude": -116.2023
>             },
>             "AdditionalStops": [
>                 {
>                     "City": "Seattle",
>                     "State": "WA",
>                     "PostalCode": "98101",
>                     "Latitude": 47.6551,
>                     "Longitude": -122.3048
>                 }
>             ],
>             "Weight": {
>                 "Quantity": 250,
>                 "Unit": "Lbs"
>             },
>             "Length": {
>                 "Quantity": 250,
>                 "Unit": "Feet"
>             },
>             "Width": {
>                 "Quantity": 250,
>                 "Unit": "Feet"
>             },
>             "Density": {
>                 "Quantity": 250,
>                 "Unit": "CubicFeet"
>             },
>             "Distance": {
>                 "Quantity": 250,
>                 "Unit": "Miles"
>             },
>             "TransportationMode": "LTL",
>             "FreightClass": 50.0,
>             "EquipmentCode": "V",
>             "CommodityId": 40,
>             "Carrier": {
>                 "Name": "Snowman Trucking",
>                 "MotorCarrierNumber": "64858",
>                 "UsDotNumber": "1523020",
>                 "ContactInfo": {
>                     "Name": "Mary Jones",
>                     "PhoneNumber": "234-456-4789",
>                     "EmailAddress": "maryjones@carrier.com"
>                 }
>             },
>             "Customer": {
>                 "Name": "string",
>                 "ContactInfo": {
>                     "Name": "Mary Jones",
>                     "PhoneNumber": "234-456-4789",
>                     "EmailAddress": "maryjones@carrier.com"
>                 }
>             },
>             "EquipmentOptions": [
>                 "X",
>                 "T"
>             ],
>             "LoadCount": 1
>         }
>     ]
> }'
> ```
> ```curl Required Fields Only
> curl --location 'https://api.truckstop.com/ratecrowdsourcing/v2/rates' \
> --header 'Authorization: bearer <access token>' \
> --header 'Content-Type: application/json' \
> --header 'Accept: application/json' \
> --data '{
>     "RateEvents": [
>         {
>             "LoadNumber": "12345-ABCD",
>             "PickupDateTime": "2023-03-09T22:41:38.110Z",
>             "Rate": {
>                 "CurrencyCode": "USD",
>                 "Amount": 2.33,
>                 "Type": "Flat"
>             },
>             "Fuel": {
>                 "CurrencyCode": "USD",
>                 "Amount": 565,
>                 "Type": "AllIn"
>             },
>             "Origin": {
>                 "City": "Seattle",
>                 "State": "WA",
>                 "PostalCode": "98101",
>             },
>             "Destination": {
>                 "City": "Boise",
>                 "State": "ID",
>                 "PostalCode": "83709",
>             },
>             "EquipmentCode": "V",
>             "CommodityId": 40
>         }
>     ]
> }'
> ```
> ```curl Response (Success)
> { 
> 	"succeeded": 7, 
> 	"failed": 0}
> }
> ```
> ```curl Response (Fail)
> { 
> 	"succeeded": 4, 
> 	"failed": 3, 
> 	"failureDetails": [ 
> 	    { 
> 		"loadNumber": "12345-ABCD", 
> 		"errors": { 
> 			"Workflow": [ 
> 				"'Workflow' has a range of values which does not include 'SOME WRONG WORKFLOW'." 
> 			], 
> 			"Length.Unit": [ 
> 				"'Length Unit' has a range of values which does not include 'WRONG LENGTH UNIT'." 
> 			] 
> 		} 
> 	}, 
> { 
> 	"loadNumber": "6789-ABCD", 
> 	"errors": { 
> 		"ContractType": [ 
> 			"'Contract Type' has a range of values which does not include 'SOME WRONG CONTRACT'." 
> 		] 
> 	   } 
>        }, 
>        { 
> 		"loadNumber": "12345-EFGH", 
> 		"errors": { 
> 		"Rate.CurrencyCode": [ 
> 		"'Rate Currency =Code' has a range of values which does not include 'AMERICAN DOLLARS'." 
> 	  	] 
> 	   } 
> 	} 
>     ] 
> }
> ```